Destroy a message queue

- « msg_receive

- msg_send »

- PHP Manual
- Semaphore Functions
- Destroy a message queue

# msg_remove_queue

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

msg_remove_queue — Destroy a message queue

### Description

msg_remove_queue(SysvMessageQueue `$queue`): bool

msg_remove_queue() destroys the message queue specified by the `queue`. Only use this function when all processes have finished working with the message queue and you need to release the system resources held by it.

### Parameters

`queue`

  The message queue.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `queue` expects a SysvMessageQueue instance now; previously, a resource was expected.

### See Also

- msg_get_queue() - Create or attach to a message queue
- msg_receive() - Receive a message from a message queue
- msg_stat_queue() - Returns information from the message queue data structure
- msg_set_queue() - Set information in the message queue data structure